Subject: Re: bug#39546: 28.0.50; Do not require subr-x at run time

From: Tino Calancha <[email-masked]>
Date: Mon, 10 Feb 2020 20:30:19 +0100 (CET)

On Mon, 10 Feb 2020, Eli Zaretskii wrote:

>> From: Tino Calancha <[email-masked]>
>> Date: Mon, 10 Feb 2020 18:26:13 +0100 (CET)
>> cc: Tino Calancha <[email-masked]>, [email-masked],
>>     [email-masked], [email-masked], [email-masked]
>>
>> On Mon, 10 Feb 2020, Eli Zaretskii wrote:
>>
>>> subr.el is preloaded, so doing that will enlarge the Emacs memory
>>> footprint.  Is that function important enough to have it preloaded?
>> According with its usage at Emacs source (only at json.el) I'd say
>> the answer to your question is: not worth to be at subr.el.
>
> That's what I thought.  So I suggest to find another file to host this
> function, if we want subr-x.el to have only macros and defsubst's.

replace.el is a good agreement between subr-x.el (it's a defun, so 
it doesn't fit well there) and subr.el.

As subr.el, replace.el is also loaded at start time, but it's ~ half size,
and more important than that, it's all about replacing in Emacs.